QGIS 2.0 to 2.8 segmentation fault opening/reading NetCDF + CF grid

2015-05-14 01:21 PM - Greg Fall

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.8.2 Regression?: No

Operating System: Linux, Mac OS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20851

Description

Several versions of qgis on several platforms (Fedora Core 19, Ubuntu 14.04, Mac OS Mavericks) segfault and bomb when I try to read a

certain type of gridded NetCDF data with them. Of all the systems I have access to, only QGIS 1.8 on Centos 6.3 is able to load this grid

without bombing.

Example: http://www.nohrsc.noaa.gov/snowfall/data/201505/snfl_2014093012_to_2015050112.nc

This is one example of many where a CF compliant NetCDF file with a moderately large grid (1500x850 in this example) breaks QGIS for

me. It may or may not be relevant, but one warning I see on occasion with these files if I run QGIS from a terminal is this:

Warning 1: No UNIDATA NC_GLOBAL:Conventions attribute

However, that warning is not correct. Here is a portion of the "ncdump -h" output for this file:

// global attributes:

        string :format_version = "NOHRSC NetCDF raster file v1.2" ;

        string :Conventions = "CF-1.6" ;

History

#1 - 2015-05-14 01:52 PM - Giovanni Manghi

- Target version changed from Version 2.10 to Future Release - High Priority

- Status changed from Open to Feedback

- Category changed from Browser to Rasters

it may be not a qgis issue after all, in fact

giovanni@sibirica:~/Downloads > gdalinfo snfl_2014093012_to_2015050112.nc 

Warning 1: No UNIDATA NC_GLOBAL:Conventions attribute

Segmentation fault

#2 - 2015-05-20 06:34 AM - Saber Razmjooei

It works for me:

QGIS 2.8.2 - 64 bit

GDAL: GDAL/OGR    1.11.2

Windows 7

OSGEO4W installer
http://www.nohrsc.noaa.gov/snowfall/data/201505/snfl_2014093012_to_2015050112.nc


#3 - 2015-05-20 06:37 AM - Saber Razmjooei

- File snfl_2014093012_to_2015050112_gdalinfo.txt added

- File snfl_2014093012_to_2015050112.png added

Attached is more info

#4 - 2015-05-20 08:03 AM - Saber Razmjooei

- Resolution set to worksforme

#5 - 2015-05-21 09:04 AM - Giovanni Manghi

- Resolution changed from worksforme to fixed/implemented

- Status changed from Feedback to Closed

gdal still crashing on linux

giovanni@sibirica:~/Desktop > gdalinfo snfl_2014093012_to_2015050112.nc 

Warning 1: No UNIDATA NC_GLOBAL:Conventions attribute

Segmentation fault

giovanni@sibirica:~/Desktop > gdalinfo --version

GDAL 1.11.2, released 2015/02/10

definitely an upstream issue. Please reopen if needed.

Files

snfl_2014093012_to_2015050112.nc 1.37 MB 2015-05-14 Greg Fall

snfl_2014093012_to_2015050112_gdalinfo.txt 2.83 KB 2015-05-20 Saber Razmjooei

snfl_2014093012_to_2015050112.png 8.75 KB 2015-05-20 Saber Razmjooei
